<?php

namespace App\Http\Requests;

use Illuminate\Foundation\Http\FormRequest;

class EnrollmentRequest extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     */
    public function authorize(): bool
    {
        return false;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array<string, \Illuminate\Contracts\Validation\ValidationRule|array|string>
     */
    public function rules(): array
    {
        return [
            'subscription_fname' => 'required',
            'dealing_rep_name' => 'required',
            'benificiary_fname' => 'required',
            'branch_manager_id' => 'required',
        ];
    }
    public function messages()
    {
        return [
            'subscription_fname.required' => 'Please Enter Subscription Name',
            'dealing_rep_name.required' => 'Please Enter Dealing Rep Name',
            'benificiary_fname.required' => 'Please Enter Benificiary Name',
            'branch_manager_id.required' => 'Branch Manager is Required',
        ];
    }
}
